Bug 951442 - Re-add replacing of 'config.sub' and 'config.guess' automatically by rpm
Summary: Re-add replacing of 'config.sub' and 'config.guess' automatically by rpm
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64 924967 925048 925306 925543 925797 925902 925908 925909 925925 926107 926159 926222 926247 926670 926705 926761 926850 991613 1069328
TreeView+ depends on / blocked
 
Reported: 2013-04-12 09:20 UTC by Pavel Raiskup
Modified: 2014-02-24 18:15 UTC (History)
13 users (show)

(edit)
Clone Of:
: 991613 (view as bug list)
(edit)
Last Closed: 2013-05-03 02:45:23 UTC


Attachments (Terms of Use)

Description Pavel Raiskup 2013-04-12 09:20:40 UTC
Package maintainers of all packages containing out-dated
config.guess/config.sub files in theirs tarballs are now forced to update these
packages by hand due to support aarch64 architecture in F19+.

This was solved automatically by rpm some time ago - as Panu pointed out here:

    http://lists.rpm.org/pipermail/rpm-maint/2013-April/003530.html

The fix (already removed) was pushed here:

    http://git.fedorahosted.org/cgit/redhat-rpm-config/commit/?id=0a68ef9360bc52f57cabbd90bc5deb8fd502b37e

I haven't found BZ requesting re-adding this back to rpm, so here I am.  Feel
free to close this if it is unacceptable.

There were several discussions, on rpm-maint, fedora-devel, ... and several
upstream discussions - and the result is: this should be solved upstream
somehow.  I agree with that but until then, it would be nice if it was fixed
centrally by rpm.

Pavel

Comment 1 Pavel Raiskup 2013-04-12 09:29:29 UTC
The place where to copy config.{guess,sub} from should be probably automake
now.

But some distributions seem to have special 'gnuconfig' package having these
files really up2date (e.g. Gentoo).  This would be nice probably to have
in Fedora also if you think it is good idea also.  Advantages - there is
clear place, where to copy these files from, and rpm build does not need
to depend every-time on automake (quite big package).  I'm able to prepare
such package if you agree.

Pavel

Comment 2 Pavel Raiskup 2013-04-12 14:31:47 UTC
Added cross reference to relevant bug 922257.

Comment 3 Panu Matilainen 2013-04-12 20:12:32 UTC
I've no problem adding it back, but in Fedora it needs to go to redhat-rpm-config as it has its own %configure variant (and that's where the config.{guess,sub} copying previously was as well) so switching component.

redhat-rpm-config also already/still carries its own copies of config.{guess,sub} due to the related history, so we can just use that, no need to invent new packages. Currently it grabs the copy from libtool (dont remember why that is) but it can be changed to use automake just as easily.

Comment 4 Pavel Raiskup 2013-04-13 20:45:35 UTC
(In reply to comment #3)
> I've no problem adding it back,

Perfect, thanks!

> but in Fedora it needs to go to redhat-rpm-config as it has its own
> %configure variant (and that's where the config.{guess,sub} copying
> previously was as well) so switching component.
>
> redhat-rpm-config also already/still carries its own copies of
> config.{guess,sub} due to the related history, so we can just use that, no
> need to invent new packages. Currently it grabs the copy from libtool (dont
> remember why that is) but it can be changed to use automake just as easily.

This is nice.  I'm just looking at these files and it seems that they are
obsoleted and should be updated (~ 2011) - no aarch64 pattern...  The
version from git would be OK imho - without some big risk of bugs.

Pavel

Comment 5 Panu Matilainen 2013-04-22 12:02:37 UTC
Added in rawhide (redhat-rpm-config-9.1.0-42.fc20) now.

Comment 6 Pavel Raiskup 2013-04-24 11:55:11 UTC
Hi Panu,

(In reply to comment #5)
> Added in rawhide (redhat-rpm-config-9.1.0-42.fc20) now.

thanks!  I guess that you plan it, but just for sure; do you plan to add this
also into F19?  (I need to make a decission whether to fix my packages or wait
for redhat-rpm-config to be fixed there).

Pavel

Comment 7 Fedora Update System 2013-04-24 13:25:40 UTC
redhat-rpm-config-9.1.0-43.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/redhat-rpm-config-9.1.0-43.fc19

Comment 8 Fedora Update System 2013-04-24 16:36:31 UTC
Package redhat-rpm-config-9.1.0-43.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redhat-rpm-config-9.1.0-43.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6496/redhat-rpm-config-9.1.0-43.fc19
then log in and leave karma (feedback).

Comment 9 Mamoru TASAKA 2013-04-25 09:15:19 UTC
So how do you think about this old bug (which complainted that %configure replaced config.sub)?

https://bugzilla.redhat.com/show_bug.cgi?id=211069

Comment 10 Pavel Raiskup 2013-04-25 09:31:22 UTC
Mamoru, it seems that at that time, the config.sub in redhat-rpm-config file
was older than that in particulal package.  Anyway, it is just about cross
compilation; how much we are doing cross compilation in Fedora?  Not having
this in Fedora means hundreds of packages must be touched by hand, see the
ARCH64 tracking bug.

Anyway - there still would be nice to have some --timestamp check.  If the
'redhat-rpm-config --timestamp' output is newer than that from config.sub in
particular package, pick that one.  Panu, would you be interested in such
change?

Pavel

Comment 11 Pavel Raiskup 2013-04-25 09:34:47 UTC
Thanks for the link btw!  I was wondering why this was removed.

Comment 12 Panu Matilainen 2013-04-25 09:48:29 UTC
I certainly did wonder a bit why it got removed in the first place, the related changelog entry was not exactly helpful:

- Remove overwritten config.guess|sub files (testing).

I'm not particularly fond of having %configure mess with the config.foo files either, but that seems far lesser evil than individually patching hundreds of packages to bring in aarch64 support. Sure it could be changed to only replace older files, but that doesn't actually guarantee doing the right thing in special cases. A simple possibility would be adding a macro to disable the copying for those special cases.

Comment 13 Mamoru TASAKA 2013-04-25 10:51:40 UTC
Currently _I_ have no opinion about whether %configure should replace config.sub by default, however having %configure's overriding config.sub switchable is perhaps better way.

Comment 14 Jon Masters 2013-04-30 18:55:07 UTC
Not everyone uses %configure in their SPEC files. Should we file bugs against packages that do not and have those fixed, instead of patching config.sub|guess activity now? i.e. is it acceptable at this point to do that for F19?

Comment 15 Fedora Update System 2013-05-03 02:45:31 UTC
redhat-rpm-config-9.1.0-43.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Pavel Raiskup 2013-05-03 07:10:40 UTC
(In reply to comment #14)
> Not everyone uses %configure in their SPEC files. Should we file bugs
> against packages that do not and have those fixed, instead of patching
> config.sub|guess activity now? i.e. is it acceptable at this point to do
> that for F19?

IMO it would be nice to do some semi-auto update on all bugs that have been
already filled.  Move them to CLOSED state if this fix was helpful or update
the status if not.  Otherwise, the unnecessary work on many bugs will
continue..

Comment 17 Fedora Update System 2013-06-03 08:34:01 UTC
tar-1.26-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tar-1.26-23.fc19


Note You need to log in before you can comment on or make changes to this bug.